<?php

/*********************************************************************

 PHP Blog Config File Ver 2.09

 @Link http://www.php-labo.net/
 @Copyright(C) 2007-2009 PHP Labo
 @Author Knight <info at php-labo dot net>

*********************************************************************/

/********* 基本設定 *************************************************/

//プログラム格納ディレクトリのURL
define('HTTP_PATH', 'http://titekiken.jpn.org/blog/');

//プログラム格納ディレクトリのURL(SSL用)
define('HTTPS_PATH', '');

//管理者パスワード
define('ADMIN_PWD', '0614');

//管理者識別情報(携帯用)
define('ADMIN_SERIAL', '');

//mod_rewriteへの対応(true ... 対応する / false ... 対応しない)
define('REWRITE_MODE', false);

/********* データベースの設定 ***************************************/

//データベースの種類(sqlite3 ... SQLite3 / sqlite2 ... SQLite2 / mysql ... MySQL)
define('DATABASE_TYPE', 'mysql');

//接続先(MySQL用)
define('DATABASE_HOST', 'mysql474.db.sakura.ne.jp');

//ユーザー名(MySQL用)
define('DATABASE_USER', 'titekiken');

//パスワード(MySQL用)
define('DATABASE_PWD', 'titekiken1');

//文字コード(MySQL用) SJIS UTF8
define('DATABASE_CHARSET', 'UTF8');

//データベース名
define('DATABASE_NAME', 'titekiken_t');

//記事格納テーブル名
define('DATABASE_TABLE_ARTICLE', 'blog_article');

//コメント格納テーブル名
define('DATABASE_TABLE_COMMENT', 'blog_comment');

//トラックバック格納テーブル名
define('DATABASE_TABLE_TRACKBACK', 'blog_trackback');

/********* Cookieの設定 *********************************************/

//Cookieの有効期限
define('COOKIE_EXPIRE', 60 * 60 * 24 * 30);

/********* セッションの設定 *****************************************/

//セッションCookieの有効期限
define('SESSION_LIFETIME', 0);

//セッションのキャッシュ制御
define('SESSION_CACHE', 'none');

/********* キャッシュの設定 *****************************************/

//記事一覧用キャッシュの作成(true ... 作成する / false ... 作成しない)
define('CACHE_ARTICLE', false);

//記事表示用キャッシュの作成(true ... 作成する / false ... 作成しない)
define('CACHE_VIEW', false);

//RSS配信用キャッシュの作成(true ... 作成する / false ... 作成しない)
define('CACHE_RSS', false);

//キャッシュ格納ディレクトリ
define('CACHE_DIR', 'caches/');

//キャッシュの有効期限
define('CACHE_LIFETIME', 60 * 60);

/********* テンプレートの設定 ***************************************/

//テンプレート格納ディレクトリ
define('TEMPLATE_DIR', 'templates/');

//コンパイル済みテンプレート格納ディレクトリ
define('TEMPLATE_COMPILE', 'templates_c/');

//携帯用テンプレート接頭文字列
define('TEMPLATE_MOBILE', 'mobile_');

//記事一覧テンプレート
define('TEMPLATE_ARTICLE', 'article.html');

//記事表示テンプレート
define('TEMPLATE_VIEW', 'view.html');

//過去ログテンプレート
define('TEMPLATE_ARCHIVE', 'archive.html');

//ログ検索テンプレート
define('TEMPLATE_SEARCH', 'search.html');

//RSS配信テンプレート
define('TEMPLATE_RSS', 'rss.html');

//管理者用 - 認証画面テンプレート
define('TEMPLATE_ADMIN', 'admin.html');

//管理者用 - 投稿画面テンプレート
define('TEMPLATE_ADMIN_FORM', 'admin_form.html');

//管理者用 - 記事一覧テンプレート
define('TEMPLATE_ADMIN_EDIT', 'admin_edit.html');

//管理者用 - ファイル一覧テンプレート
define('TEMPLATE_ADMIN_FILE', 'admin_file.html');

//管理者用 - コメント一覧テンプレート
define('TEMPLATE_ADMIN_COMMENT', 'admin_comment.html');

//管理者用 - トラックバック一覧テンプレート
define('TEMPLATE_ADMIN_TRACKBACK', 'admin_trackback.html');

//管理者用 - 設定編集画面テンプレート
define('TEMPLATE_ADMIN_CONFIG', 'admin_config.html');

//管理者用 - ステータス画面テンプレート
define('TEMPLATE_ADMIN_STATUS', 'admin_status.html');

//エラー画面テンプレート
define('TEMPLATE_ERROR', 'error.html');

/********* システムの設定 *******************************************/

//プログラムファイル名
define('MAIN_FILE', 'index.php');

//設定ファイル格納ディレクトリ
define('CONFIG_DIR', 'configs/');

//ダブルクォート変換文字列
define('CONFIG_QUOTE', '"');

//ログイン情報格納ディレクトリ
define('LOGIN_DIR', 'logins/');

//プラグイン格納ディレクトリ
define('PLUGIN_DIR', 'plugins/');

//アップロードファイル格納ディレクトリ
define('FILE_DIR', 'files/');

/********* 絵文字変換の設定 *****************************************/

//絵文字の変換(true ... 変換する / false ... 変換しない)
define('PICTOGRAM_MODE', false);

//プログラムファイル名
define('PICTOGRAM_MAIN_FILE', '../MobilePictogramConverter/MobilePictogramConverter.php');

//画像格納ディレクトリ
define('PICTOGRAM_IMAGE_DIR', 'http://www.example.com/MobilePictogramConverter/img/');

?>
